#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const extract_dts_1 = require("../dev-tools/extract-dts");
const fs_1 = __importDefault(require("fs"));
const mri = require('mri');
const opts = mri(process.argv.slice(2));
if (opts['extract-dts']) {
    const { source, out } = opts;
    if (!source)
        throw new Error(`--source is mandatory`);
    if (!out)
        throw new Error(`--out is mandatory`);
    if (!fs_1.default.existsSync(source))
        throw new Error(`${source} does not exists`);
    (0, extract_dts_1.extractDts)(source, out);
}
//# sourceMappingURL=remote-func.js.map